cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ugo Cei <...@apache.org>
Subject Re: problems starting 2.1.6-dev
Date Sun, 17 Oct 2004 20:17:28 GMT
Il giorno 17/ott/04, alle 15:45, Pier Fumagalli ha scritto:

> The code can't be licensed using the Apache License 2.0. It's LGPL as 
> it "implements" certain LGPL Hibernate classes. That's the whole 
> reason why we can't post it here...

Do your classes really implement Hibernate interfaces or extend 
Hibernate classes? Or do they just import them?

No one has ever demonstrated that doing an "import" on classes that are 
under the LGPL obliges you to license your code under the (L)GPL. It 
even goes against the publicly stated intentions of the Hibernate 
developers. I'd use the Apache license without fear in this case (as a 
matter of fact, I do).

As far as "extensions" are concerned, I'm not sure if that's the case.

	Ugo

-- 
Ugo Cei - http://beblogging.com/

Mime
View raw message